API Reference
Price Variance
4 endpoints· Auth: JWT or API Key
get
/api/v1/console/purchase-invoices/loss-slices JWT API KeyGet loss-slices
Query parameters
| BusinessDate string (date) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/purchase-invoices/loss-slices" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/purchase-invoices/price-history JWT API KeyGet price-history
Query parameters
| InventoryItemId string (uuid) | — |
| SupplierId string (uuid) | — |
| Limit integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/purchase-invoices/price-history" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/purchase-invoices/price-variance JWT API KeyGet price-variance
Query parameters
| From string (date) | — |
| To string (date) | — |
| SupplierId string (uuid) | — |
| ThresholdPct number (double) | — |
| TopN integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/purchase-invoices/price-variance" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/reports/price-variance JWT API KeyGet price-variance
Query parameters
| From string (date) | — |
| To string (date) | — |
| SupplierId string (uuid) | — |
| ThresholdPct number (double) | — |
| TopN integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/reports/price-variance" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu